
import Taro from '@tarojs/taro'
export default defineAppConfig({
  pages: [
    'pages/index/index',
    'pages/collection/index',
    "pages/darwDetail/index",
    "pages/communityDetail/index",
    "pages/earnPoints/index",
    "pages/mine/index",
    "pages/activity/index"
  ],
  subpackages: [
    {
      root: "moduleA",
      name: "分包A",
      pages: [
        "pages/invite/index",
        "pages/wallet/index",
        "pages/shareCnt/index",
      ]
    },
    
  ],
  window: {
    backgroundTextStyle: 'light',
    navigationBarBackgroundColor: '#041129',
    navigationBarTitleText: 'AI绘画',
    navigationBarTextStyle: 'white',
    backgroundColor: "#041129"
  },
  tabBar: {
    color: "#C6C6C6",
    selectedColor: "#0F84EC",
    borderStyle: "white",
    backgroundColor: "#041129",
    list: [
      {
        pagePath: "pages/collection/index",
        iconPath: "images/nav/like.png",
        selectedIconPath: "images/nav/like_pin.png",
        text: "社区"

      },
      {
        pagePath: "pages/index/index",
        iconPath: "images/nav/play.png",
        selectedIconPath: "images/nav/play_pin.png",
        text: "创作"
      },
      // {
      //   pagePath: "pages/activity/index",
      //   iconPath: "images/nav/task.png",
      //   selectedIconPath: "images/nav/task_pin.png",
      //   text: "活动"
      // },
      {
        pagePath: "pages/mine/index",
        iconPath: "images/nav/my.png",
        selectedIconPath: "images/nav/my_pin.png",
        text: "我的"
      }
    ]
  },
})
